// Standard Libraries
#include <cmath>
// Other
#include "cut.h"
/*
extern JetSelector sel_jet;

bool Met_Cut::operator()(const event & ev) const {
	if (ev.RECO_PT[2] < GetValue())
		return false;
	return true;
}

bool Met_max_Cut::operator()(const event & ev) const {
	if (ev.RECO_PT[2] > GetValue())
		return false;
	return true;
}

bool Met_Sign_Cut::operator()(const event & ev) const {
	if (ev.RECO_PFMET_SIGN < GetValue())
		return false;
	return true;
}

bool Zmass_min_Cut::operator()(const event & ev) const {
	if (ev.RECO_MASS[1] < GetValue())
		return false;
	return true;
}

bool Zmass_max_Cut::operator()(const event & ev) const {
	if (ev.RECO_MASS[1] > GetValue())
		return false;
	return true;
}

bool Zpt_min_Cut::operator()(const event & ev) const {
	if (ev.RECO_PT[1] < GetValue())
		return false;
	return true;
}

bool Zpt_max_Cut::operator()(const event & ev) const {
	if (ev.RECO_PT[1] > GetValue())
		return false;
	return true;
}

bool ZMet_acop_Cut::operator()(const event & ev) const {
	if (ev.RECO_ZMETACOP > GetValue())
		return false;
	return true;
}

bool JetVeto_Cut::operator()(const event & ev) const {
	for (int i = 0; i < 25; ++i) {
		if (sel_jet(ev, i) && ev.RECOJET_DELTAPHIZ[i] >= GetValue()) {
			if (ev.RECOJET_DELTAR1LEP[i] > 0.5 || ev.RECOJET_DELTAR2LEP[i] > 0.5 )
				return false;
		}
	}
	return true;
}

bool dPhiMET2Lep_Cut::operator()(const event & ev) const {
	if (ev.RECO_DPHIMET[4] < GetValue())
		return false;
	return true;
}

bool Btag_Cut::operator()(const event & ev) const {
	for (int i = 0; i < 25; ++i) {
		if (sel_jet(ev, i) && ev.RECOJET_BTAG[i] > GetValue())
			return false;
	}
	return true;
}

bool Nlep_Cut::operator()(const event & ev) const {
	if (ev.RECO_isElectron[3] == 1 && ev.RECO_isElectron[4] == 1) {
		if (ev.RECO_NELE > int(GetValue()) || ev.RECO_NMU > 0 )
			return false;
	} else if ( ev.RECO_isGlobalMu[3] == 1 && ev.RECO_isGlobalMu[4] == 1 ) {
		if (ev.RECO_NMU > int(GetValue()) || ev.RECO_NELE > 0 )
			return false;
	} else {
		std::cout << "NMU = " << ev.RECO_NMU << std::endl;
		std::cout << "NELE = " << ev.RECO_NELE << std::endl;
		std::cout << "l1 is GLB = " << ev.RECO_isGlobalMu[3] << std::endl;
		std::cout << "l2 is GLB = " << ev.RECO_isGlobalMu[4] << std::endl;
		std::cout << "l1 is Ele = " << ev.RECO_isElectron[3] << std::endl;
		std::cout << "l2 is Ele = " << ev.RECO_isElectron[4] << std::endl;
		std::cin.get();
	}
	return true;
}

bool Isol_Cut::operator()(const event & ev) const {
	double temp_isolation = 2.0 * ev.RECO_HCALISO[3] + ev.RECO_ECALISO[3] + 2.0 * ev.RECO_HCALISO[4] + ev.RECO_ECALISO[4];
	if (temp_isolation > GetValue())
		return false;
	return true;
}

bool ZMetPt_Cut::operator()(const event & ev) const {
	double temp =  ev.RECO_PT[1] + ev.RECO_PT[2];
	if (temp > GetValue())
		return false;
	return true;
}

bool Hmass_min_Cut::operator()(const event & ev) const {
	if (ev.RECO_HIGGS_MASS[index] < GetValue())
		return false;
	return true;
}

bool Hmass_max_Cut::operator()(const event & ev) const {
	if (ev.RECO_HIGGS_MASS[index] > GetValue())
		return false;
	return true;
}

bool PtMinPtMax_Cut::operator()(const event & ev) const {
	double temp =  ev.RECO_PT[4] / ev.RECO_PT[3];
	if (temp < GetValue())
		return false;
	return true;
}


bool ProjMet_Cut::operator()(const event & ev) const {
	double dPhiLepMET = ( ev.RECO_DPHIMET[3] < ev.RECO_DPHIMET[4] ) ? ev.RECO_DPHIMET[3] : ev.RECO_DPHIMET[4];
	double projMET = ( dPhiLepMET > ( M_PI / 2 ) ) ? ( ev.RECO_PFMET ) : ( ev.RECO_PFMET * std::sin ( dPhiLepMET ) );
	if (projMET < GetValue())
		return false;
	return true;
}

bool DPhiLep_Cut::operator()(const event & ev) const {
	if (std::fabs(ev.RECO_PHI[3] - ev.RECO_PHI[4]) < GetValue())
		return false;
	return true;
}

bool LepPt_Cut::operator()(const event & ev) const {
	std::cout.precision(5);
	if (ev.RECO_PT[3] < GetValue() || ev.RECO_PT[4] < GetValue())
		return false;
	return true;
}

bool TrackIso_Cut::operator()(const event & ev) const {
	if ( (ev.RECO_TRACKISO[3] / ev.RECO_PT[3]) > GetValue() || (ev.RECO_TRACKISO[4] / ev.RECO_PT[4]) > GetValue())
		return false;
	return true;
}

bool Nvtx_Cut::operator()(const event & ev) const {
	if ( ev.RECO_NVTX != GetValue() )
		return false;
	return true;
}
*/
